package renderer
{
	import mx.controls.Label;
	import flash.display.Graphics;
	    	   
	public class PlaceRenderer extends Label
	{
		public var limits:Array;
		private var bgColor:Number;
        		
		public function PlaceRenderer()
		{
			super();
			initLimits();
      	}
		// -----   -----
        private function initLimits():void
        {
			limits = new Array();
			limits.push({value:0,  color:0xFF0000}); //  0 <= red < 10
			limits.push({value:10, color:0xFFA500}); //  10 <= orange < 50
			limits.push({value:50, color:0x00FF00}); // 50 <= green
        }
       
		// Override the set method for the data property.
		override public function set data(value:Object):void 
		{
			bgColor = 0xFFFFFF;
			super.data = value;
			if (value != null) 
			{
				var currentValue:Number = Number(listData.label);
				var len:Number = limits.length;
				for (var i:Number = 0; i < len; i++) {
					var limit:Object = limits[i];
					if (limit.value <= currentValue) {
						bgColor = limit.color;
					}
				}
			} 
		}
 		
		override protected function updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void
		{
			super.updateDisplayList(unscaledWidth, unscaledHeight);
			// --
			var g:Graphics = graphics;
			g.clear();
			g.beginFill(bgColor);
			g.drawRect(0, 0, unscaledWidth, unscaledHeight);
			g.endFill();
		}
	}
}